#include <avr/pgmspace.h>

#include <inttypes.h>


#define BRICK_COUNT 10
#define TOTAL_LEVELS 2

//brick {row col state}
uint8_t Bricks[BRICK_COUNT][3];

//state: 3 healthy, 2 cracked, 1 really cracked, 0 dead, else "unbreakable"

// level brick {row col state}
uint8_t Levels[TOTAL_LEVELS][BRICK_COUNT][3] PROGMEM = {
		{
				{ 4, 6, 3 },
				{ 4, 9, 3 },
				{ 4, 12, 3 },
				{ 4, 15, 3 },
				{ 4, 18, 3 },
				{ 5, 7, 3 },
				{ 5, 10, 3 },
				{ 5, 13, 3 },
				{ 5, 16, 3 },
				{ 5, 19, 3 },
		},
		{
				{ 3, 15, 100 },
				{ 4, 15, 100 },
				{ 5, 15, 100 },
				{ 6, 15, 100 },
				{ 4, 20, 3 },
				{ 5, 21, 3 },
				{ 4, 10, 3 },
				{ 5, 11, 3 },
				{ 6, 9, 3 },
				{ 6, 19, 3 },
		}
};
